# `BB.Error.Safety.EmergencyStop`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/safety/emergency_stop.ex#L5)

Emergency stop triggered.

Raised when an emergency stop condition is detected, either from
hardware (e-stop button) or software safety systems.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.EmergencyStop{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  path: term(),
  reason: term(),
  source: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Safety.EmergencyStop` without raising it.

## Keys

- :source
- :reason

---

*Consult [api-reference.md](api-reference.md) for complete listing*
